.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

how can I make multi pallete with vb.net ?

2 REPLIES 2
SOLVED
Reply
Message 1 of 3
h.sezenn
460 Views, 2 Replies

how can I make multi pallete with vb.net ?

I have code like this:

'ensure single instance of this app...
Friend Shared m_ps As Autodesk.AutoCAD.Windows.PaletteSet = Nothing
' Define command
<CommandMethod("TestPalette")> _
Public Sub DoIt()
'check to see if paletteset is already created
If m_ps Is Nothing Then
'no so create it
m_ps = New Autodesk.AutoCAD.Windows.PaletteSet("My First Palette")
'create new instance of user control
Dim myPalette As Container1 = New Container1()
'add it to the paletteset
m_ps.Add("My First Palette", myPalette)
End If
'turn it on
m_ps.Visible = True
End Sub

 in this code has a only one pallete ( tab ) but , ı want to make 4 or 5 pallete . how can I do thiswith vb.net ?

 

_____________________________________________________________________________________
Everything For Duct
2 REPLIES 2
Message 2 of 3
_gile
in reply to: h.sezenn

Hi,

 

The palette set tabs are the controls added to the palette set.

 

'ensure single instance of this app...
Friend Shared m_ps As Autodesk.AutoCAD.Windows.PaletteSet = Nothing
' Define command
<CommandMethod("TestPalette")> _
Public Sub DoIt()
'check to see if paletteset is already created
If m_ps Is Nothing Then
'no so create it
m_ps = New Autodesk.AutoCAD.Windows.PaletteSet("My First Palette")
'create new instance of user control
Dim myPalette1 As Container1 = New Container1()
'add it to the paletteset
m_ps.Add("My First Palette", myPalette1)
'create new instance of user control
Dim myPalette2 As Container2 = New Container2()
'add it to the paletteset
m_ps.Add("My Second Palette", myPalette2)
'create new instance of user control
Dim myPalette3 As Container3 = New Container3()
'add it to the paletteset
m_ps.Add("My Third Palette", myPalette3)
'and so on...
End If
'turn it on
m_ps.Visible = True
End Sub

 



Gilles Chanteau
Programmation AutoCAD LISP/.NET
GileCAD
GitHub

Message 3 of 3
h.sezenn
in reply to: _gile

Thank you so much. its works  🙂

 

_____________________________________________________________________________________
Everything For Duct

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost